Package org.eclipse.net4j.util.container

# Interface IContainerDelta<E>

All Known Implementing Classes:
  `ContainerDelta`

public interface IContainerDelta<E>
Describes the addition or removal of a single element from a `container`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IContainerDelta.Kind`
Enumerates the possible `container delta` kinds `IContainerDelta.Kind.ADDED` or `IContainerDelta.Kind.REMOVED`.

## Method Summary

Modifier and Type
Method
Description
`E`
`getElement()`
`IContainerDelta.Kind`
`getKind()`

## Method Details

### getElement

E getElement()

### getKind

IContainerDelta.Kind getKind()